## org.hibernate.criterion
Class Property

    java.lang.Object
      org.hibernate.criterion.SimpleProjection
          org.hibernate.criterion.PropertyProjection
              org.hibernate.criterion.Property

All Implemented Interfaces:
  Serializable, EnhancedProjection, Projection

    public class Property

extends PropertyProjection

A factory for property-specific criterion and projection instances

See Also:
  Serialized Form

Constructor Summary
`protected` `Property(String propertyName)`

Method Summary
`Order` `asc()`
`AggregateProjection` `avg()`
`Criterion` `between(Object min, Object max)`
`CountProjection` `count()`
`Order` `desc()`
`Criterion` `eq(DetachedCriteria subselect)`
`SimpleExpression` `eq(Object value)`
`Criterion` `eqAll(DetachedCriteria subselect)`
`PropertyExpression` `eqProperty(Property other)`
`PropertyExpression` `eqProperty(String other)`
`static Property` `forName(String propertyName)`
`Criterion` `ge(DetachedCriteria subselect)`
`SimpleExpression` `ge(Object value)`
`Criterion` `geAll(DetachedCriteria subselect)`
`PropertyExpression` `geProperty(Property other)`
`PropertyExpression` `geProperty(String other)`
`Criterion` `geSome(DetachedCriteria subselect)`
`Property` `getProperty(String propertyName)` Get a component attribute of this property
`PropertyProjection` `group()`
`Criterion` `gt(DetachedCriteria subselect)`
`SimpleExpression` `gt(Object value)`
`Criterion` `gtAll(DetachedCriteria subselect)`
`PropertyExpression` `gtProperty(Property other)`
`PropertyExpression` `gtProperty(String other)`
`Criterion` `gtSome(DetachedCriteria subselect)`
`Criterion` `in(Collection values)`
`Criterion` `in(DetachedCriteria subselect)`
`Criterion` `in(Object[] values)`
`Criterion` `isEmpty()`
`Criterion` `isNotEmpty()`
`Criterion` `isNotNull()`
`Criterion` `isNull()`
`Criterion` `le(DetachedCriteria subselect)`
`SimpleExpression` `le(Object value)`
`Criterion` `leAll(DetachedCriteria subselect)`
`PropertyExpression` `leProperty(Property other)`
`PropertyExpression` `leProperty(String other)`
`Criterion` `leSome(DetachedCriteria subselect)`
`SimpleExpression` `like(Object value)`
`SimpleExpression` `like(String value, MatchMode matchMode)`
`Criterion` `lt(DetachedCriteria subselect)`
`SimpleExpression` `lt(Object value)`
`Criterion` `ltAll(DetachedCriteria subselect)`
`PropertyExpression` `ltProperty(Property other)`
`PropertyExpression` `ltProperty(String other)`
`Criterion` `ltSome(DetachedCriteria subselect)`
`AggregateProjection` `max()`
`AggregateProjection` `min()`
`Criterion` `ne(DetachedCriteria subselect)`
`SimpleExpression` `ne(Object value)`
`PropertyExpression` `neProperty(Property other)`
`PropertyExpression` `neProperty(String other)`
`Criterion` `notIn(DetachedCriteria subselect)`

Methods inherited from class org.hibernate.criterion.PropertyProjection
`getPropertyName, getTypes, isGrouped, toGroupSqlString, toSqlString, toString`

Methods inherited from class org.hibernate.criterion.SimpleProjection
`as, getAliases, getColumnAliases, getColumnAliases, getColumnAliases, getColumnAliases, getColumnCount, getTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Property

    protected Property(String propertyName)

Method Detail

### between

    public Criterion between(Object min,
                             Object max)

### in

    public Criterion in(Collection values)

### in

    public Criterion in(Object[] values)

### like

    public SimpleExpression like(Object value)

### like

    public SimpleExpression like(String value,
                                 MatchMode matchMode)

### eq

    public SimpleExpression eq(Object value)

### ne

    public SimpleExpression ne(Object value)

### gt

    public SimpleExpression gt(Object value)

### lt

    public SimpleExpression lt(Object value)

### le

    public SimpleExpression le(Object value)

### ge

    public SimpleExpression ge(Object value)

### eqProperty

    public PropertyExpression eqProperty(Property other)

### neProperty

    public PropertyExpression neProperty(Property other)

### leProperty

    public PropertyExpression leProperty(Property other)

### geProperty

    public PropertyExpression geProperty(Property other)

### ltProperty

    public PropertyExpression ltProperty(Property other)

### gtProperty

    public PropertyExpression gtProperty(Property other)

### eqProperty

    public PropertyExpression eqProperty(String other)

### neProperty

    public PropertyExpression neProperty(String other)

### leProperty

    public PropertyExpression leProperty(String other)

### geProperty

    public PropertyExpression geProperty(String other)

### ltProperty

    public PropertyExpression ltProperty(String other)

### gtProperty

    public PropertyExpression gtProperty(String other)

### isNull

    public Criterion isNull()

### isNotNull

    public Criterion isNotNull()

### isEmpty

    public Criterion isEmpty()

### isNotEmpty

    public Criterion isNotEmpty()

### count

    public CountProjection count()

### max

    public AggregateProjection max()

### min

    public AggregateProjection min()

### avg

    public AggregateProjection avg()

### group

    public PropertyProjection group()

### asc

    public Order asc()

### desc

    public Order desc()

### forName

    public static Property forName(String propertyName)

### getProperty

    public Property getProperty(String propertyName)

  Get a component attribute of this property

### eq

    public Criterion eq(DetachedCriteria subselect)

### ne

    public Criterion ne(DetachedCriteria subselect)

### lt

    public Criterion lt(DetachedCriteria subselect)

### le

    public Criterion le(DetachedCriteria subselect)

### gt

    public Criterion gt(DetachedCriteria subselect)

### ge

    public Criterion ge(DetachedCriteria subselect)

### notIn

    public Criterion notIn(DetachedCriteria subselect)

### in

    public Criterion in(DetachedCriteria subselect)

### eqAll

    public Criterion eqAll(DetachedCriteria subselect)

### gtAll

    public Criterion gtAll(DetachedCriteria subselect)

### ltAll

    public Criterion ltAll(DetachedCriteria subselect)

### leAll

    public Criterion leAll(DetachedCriteria subselect)

### geAll

    public Criterion geAll(DetachedCriteria subselect)

### gtSome

    public Criterion gtSome(DetachedCriteria subselect)

### ltSome

    public Criterion ltSome(DetachedCriteria subselect)

### leSome

    public Criterion leSome(DetachedCriteria subselect)

### geSome

    public Criterion geSome(DetachedCriteria subselect)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.